#!/bin/sh

SCRIPTDIR=$(cd $(dirname $0); /bin/pwd)

SCRIPTD=plchost

if [ ! -d /lib/plc ]; then
	echo Run get_firmware.sh first.
	exit 1
fi


opkg update

opkg install \
open-plc-utils \
open-plc-utils-plctool open-plc-utils-plchost open-plc-utils-modpib \
open-plc-utils-hpav open-plc-utils-hpavkey open-plc-utils-hpavkeys \
open-plc-utils-plcdevs \
open-plc-utils-plclist \
open-plc-utils-plcstat \
open-plc-utils-plcrate 

#opkg install open-plc-utils-coqos_add open-plc-utils-coqos_info open-plc-utils-coqos_man open-plc-utils-coqos_mod open-plc-utils-coqos_rel open-plc-utils-plcrate

cp -p ${SCRIPTDIR}/${SCRIPTD} /etc/init.d/

/etc/init.d/${SCRIPTD} enable

/etc/init.d/${SCRIPTD} start

